Name:		pcp-oracle-conf	
Version:	1
Release:	5.0.5%{?dist}
Summary:	pcp-oracle-conf - Config files for pmlogger and pmrep

License: 	The Universal Permissive License (UPL), Version 1.0
Source0: 	pcp-oracle-conf-1.tar.bz2
Requires:       pcp-zeroconf 

Patch1001: Orabug35046894-pcp-ps-and-network-alias-pmprep-fix.patch

%description
Configuration files for pmrep and pmlogger utilities for Oracle Linux
 
%prep

%global debug_package %{nil}

%setup -q
%patch1001 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pcp/pmrep/
mkdir -p $RPM_BUILD_ROOT/var/lib/pcp/config/pmlogger/
install -m 0644 config.ora $RPM_BUILD_ROOT/var/lib/pcp/config/pmlogger/config.ora
install -m 0644 ora_pmrep.conf $RPM_BUILD_ROOT/etc/pcp/pmrep/ora_pmrep.conf

%post
if [ "$1" -eq 1 ]; then
    
    # modify pmlogger control file to use to config.ora instead of config.default
    sed -i 's/config.default/config.ora/g' "/etc/pcp/pmlogger/control.d/local"

    # configure pmlogger archive retention
    sed -i 's/^\#PMLOGGER_DAILY_PARAMS.*/PMLOGGER_DAILY_PARAMS="-x 1 -k 7 -R"/g' "/etc/sysconfig/pmlogger_timers"

    # disable access checks in pmdaproc 
    sed -i 's/pmdaproc.*\-d/pmdaproc -A -d/g' "/etc/pcp/pmcd/pmcd.conf"

    # disable access checks in pmdalinux
    sed -i 's/pmdalinux.*/pmdalinux -A/g' "/etc/pcp/pmcd/pmcd.conf"
fi

/bin/systemctl restart pmcd.service >/dev/null 2>&1
/bin/systemctl restart pmlogger.service >/dev/null 2>&1

%postun
if [ "$1" -eq 0 ]; then
    
    # modify pmlogger control file to use config.default instead of config.ora
    sed -i 's/config.ora/config.default/g' "/etc/pcp/pmlogger/control.d/local"

    # Revert pmdalinux and pmdaproc config
    sed -i 's/pmdaproc -A/pmdaproc\ /g' "/etc/pcp/pmcd/pmcd.conf"
    sed -i 's/pmdalinux -A/pmdalinux\ /g' "/etc/pcp/pmcd/pmcd.conf"
fi

/bin/systemctl restart pmcd.service >/dev/null 2>&1
/bin/systemctl restart pmlogger.service >/dev/null 2>&1

%files
%defattr(-,root,root,-)
%config /etc/pcp/pmrep/ora_pmrep.conf
%config /var/lib/pcp/config/pmlogger/config.ora
%doc LICENSE.txt 

%changelog
* Fri Feb 24 2023 sagar sagar <sagar.sagar@oracle.com> - 1-5.0.5
- Fixed rpm upgrade and downgrade issue in spec file [Orabug: 35115368]

* Fri Feb 03 2023 sagar sagar <sagar.sagar@oracle.com> - 1-5.0.4
- Fixed missing metrics for pcp ps and network alias [Orabug: 35046894]

* Wed Apr 20 2022 sagar sagar <sagar.sagar@oracle.com> - 1-5.0.3
- Added metrics tty.serial.rx,tty.serial.tx,tty.serial.frame,tty.serial.parity
- tty.serial.brk,tty.serial.overrun to be recorded for the bug[Orabug: 33878776]
- Added metrics proc.memory.vmrss,hinv.physmem [Orabug: 33878744] 
- Added metrics rpc.server.rpcerr [Orabug: 33878773] 
- Added metrics filesys.free,filesys.used,filesys.avail,filesys.freefiles
- filesys.usedfiles,filesys.maxfiles [Orabug: 33878770] 

* Thu Mar 17 2022 sagar sagar <sagar.sagar@oracle.com> - 1-5.0.1
- Added metrics proc.namespaces.pid ,proc.namespaces.sid to be recorded for the bug[Orabug: 33878749]
- Added metrics proc.io.rchar, proc.io.wchar [Orabug: 33878751]  
- Added metrics proc.io.syscr,proc.io.syscw,proc.psinfo.delayacct_blkio_time [Orabug: 33878752]
- Added metrics proc.memory.vmpeak,proc.memory.vmhwm,proc.memory.vmlock [Orabug: 33878756] 
- Added metrics proc.memory.vmreal ,proc.memory.vmrss,proc.memory.vmnonlib [Orabug: 33878754] 
- Added metrics proc.psinfo.cmin_flt,proc.psinfo.cmaj_flt,proc.psinfo.cutime,proc.psinfo.cstime [Orabug: 33878739]
- Added metrics proc.psinfo.vctxsw,proc.psinfo.nvctxsw,proc.schedstat.cpu_time,proc.schedstat.run_delay,
- proc.schedstat.pcount,proc.psinfo.blocked_s [Orabug: 33878743]
- Added metrics proc.psinfo.vmrss,proc.psinfo.vmhwm,proc.psinfo.psargs,proc.psinfo.ttyname,
- proc.psinfo.session,proc.fd.count [Orabug: 33878747]

* Tue Feb 8 2022 Sushmita Bhattacharya <sushmita.bhattacharya@oracle.com> - 1-5
- Reverted pmdalinux and pmdaproc config

* Thu Feb 3 2022 Sushmita Bhattacharya <sushmita.bhattacharya@oracle.com> - 1-4
- Disabled access checks for pmdalinux and pmdaproc

* Wed Jan 26 2022 Sushmita Bhattacharya <sushmita.bhattacharya@oracle.com> - 1-3
- Renamed pmrep.ora to ora_pmrep.conf
- Modified default collection interval to 10 seconds, and proc related metrics' collection 
  interval to 30 seconds, also modified pmrep.ora to ora_pmrep.conf
- Deleted spec file from top level of buildrpm

* Thu Dec 23 2021 sushmita.bhattacharya@oracle.com - 1-2
- Added LICENSE file

* Fri Dec 10 2021 sushmita.bhattacharya@oracle.com - 1-1
- Initial release

